List User Space Invitations
ListUserSpaceInvitations lists the authenticated user's pending space invitations. A user cannot list another user's invitations.
Path Parameters
user*string
The user id.
Query Parameters
pageSize?integer
Optional. The maximum number of invitations to return. The service may return fewer.
Format
int32pageToken?string
Optional. A page token from a previous call. Provide it to retrieve the next page.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/users/string/spaceInvitations"{ "spaceInvitations": [ { "name": "string", "invitee": "string", "role": "ROLE_UNSPECIFIED", "space": { "name": "string", "title": "string", "description": "string", "icon": { "emoji": "string", "lucide": "string" }, "currentUserRole": "ROLE_UNSPECIFIED", "memberCount": 0 } } ], "nextPageToken": "string"}